﻿-- Author      : Nogarder
-- Create Date : 2013/4/27 15:30:44
local NPA_NamePlateDataParser_AddElements=NPA.NamePlateDataParser.AddElements

local NPA_NamePlateModuleManager_ZipModule=NPA.NamePlateModuleManager.ZipModule
local NPA_NamePlateModuleManager_UnzipModule=NPA.NamePlateModuleManager.UnzipModule

local UnitGUID=UnitGUID
--3 = securely tanking, 2 = insecurely tanking
--1 = not tanking but higher threat than tank, 0 = not tanking and lower threat than tank
--4 or nil = no threat at all
NPA.NamePlateModuleManager.RegisterDataModule("TextureGroup","Classification_WorldBoss",function(framedata,textureframe,setting)
	--zip it first
	NPA_NamePlateModuleManager_ZipModule(textureframe)
	--add event elements
	NPA_NamePlateDataParser_AddElements(framedata,textureframe,"Classification_Updated",function(framedata,unitdata)
		local unitdata=unitdata
		--endtime==nil means casting is ended
		if(unitdata.Classification=="worldboss ")then
			--show it
			NPA_NamePlateModuleManager_UnzipModule(textureframe)
		else
			NPA_NamePlateModuleManager_ZipModule(textureframe)
		end
	end)
end)
--
NPA.NamePlateModuleManager.RegisterDataModule("TextureGroup","Classification_Elite",function(framedata,textureframe,setting)
	--zip it first
	NPA_NamePlateModuleManager_ZipModule(textureframe)
	--add event elements
	NPA_NamePlateDataParser_AddElements(framedata,textureframe,"Threat_Updated",function(framedata,unitdata)
		local unitdata=unitdata
		--endtime==nil means casting is ended
		if(unitdata.Classification=="elite ")then
			--show it
			NPA_NamePlateModuleManager_UnzipModule(textureframe)
		else
			NPA_NamePlateModuleManager_ZipModule(textureframe)
		end
	end)
end)
